(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     60502,       1553]
NotebookOptionsPosition[     57973,       1476]
NotebookOutlinePosition[     58376,       1493]
CellTagsIndexPosition[     58333,       1490]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"SetDirectory", "[", 
  RowBox[{"NotebookDirectory", "[", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"SetOptions", "[", 
  RowBox[{
   RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
   RowBox[{"Background", "\[Rule]", "LightGray"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.641872453646903*^9, 3.641872474900546*^9}, {
  3.646125712607282*^9, 3.6461257127922926`*^9}}],

Cell[BoxData[
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.664012055689556*^9, 3.6640120838585978`*^9}}],

Cell[CellGroupData[{

Cell[TextData[StyleBox["funkce",
 FontWeight->"Bold",
 FontColor->GrayLevel[0]]], "Subsection",
 CellChangeTimes->{{3.61323945547954*^9, 3.6132394662141542`*^9}, {
  3.6132395729292574`*^9, 3.613239575352396*^9}, {3.6132397890546193`*^9, 
  3.6132397919267836`*^9}, {3.6132444707903996`*^9, 3.613244478053815*^9}, {
  3.6133099855775814`*^9, 3.613309991193903*^9}, {3.613361159142213*^9, 
  3.6133611606554155`*^9}, {3.619347779305542*^9, 3.619347779680564*^9}, {
  3.6642561814186697`*^9, 3.6642561859386764`*^9}},
 Background->RGBColor[
  0.5764705882352941, 0.8588235294117647, 0.611764705882353]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Ymatice", "[", 
    RowBox[{
    "uzel1_", ",", "uzel2_", ",", "Z_", ",", "Y_", ",", "B_", ",", "T_"}], 
    "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Ypom", ",", "u1", ",", "u2", ",", "m"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Ypom", "=", 
       FractionBox["1", "Z"]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Ykm", "=", 
       FractionBox["Ypom", "T"]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Yk0", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           FractionBox["1", "T"]}], ")"}], "*", "Ypom"}], "+", 
        RowBox[{"I", "*", 
         FractionBox["B", "2"]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Ym0", "=", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"1", "-", "T"}], 
          SuperscriptBox["T", "2"]], "*", "Ypom"}], "+", 
        RowBox[{"I", "*", 
         FractionBox["B", "2"]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "Nejprve", " ", "je", " ", "nutno", " ", "vlo\[ZHacek]it", " ", "na", 
        " ", "diagn\[AAcute]lu", " ", "uzlov\[EAcute]", " ", "admitance"}], 
       "*)"}], "\[IndentingNewLine]", 
      RowBox[{"m", "=", 
       RowBox[{"DiagonalMatrix", "[", "Y", "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"i", "=", "1"}], ",", 
        RowBox[{"i", "<", 
         RowBox[{
          RowBox[{"Length", "[", "uzel1", "]"}], "+", "1"}]}], ",", 
        RowBox[{"i", "++"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"u1", "=", 
          RowBox[{"uzel1", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"u2", "=", 
          RowBox[{"uzel2", "[", 
           RowBox[{"[", "i", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
          "D\[AAcute]le", " ", "pak", " ", "admitance", " ", "v\[SHacek]ech", 
           " ", "okoln\[IAcute]ch", " ", "v\[EHacek]tv\[IAcute]"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"[", 
            RowBox[{"u1", ",", "u1"}], "]"}], "]"}], "=", 
          RowBox[{
           RowBox[{"m", "[", 
            RowBox[{"[", 
             RowBox[{"u1", ",", "u1"}], "]"}], "]"}], "+", 
           RowBox[{"Ykm", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "+", 
           RowBox[{"Yk0", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"[", 
            RowBox[{"u2", ",", "u2"}], "]"}], "]"}], "=", 
          RowBox[{
           RowBox[{"m", "[", 
            RowBox[{"[", 
             RowBox[{"u2", ",", "u2"}], "]"}], "]"}], "+", 
           RowBox[{"Ykm", "[", 
            RowBox[{"[", "i", "]"}], "]"}], "+", 
           RowBox[{"Ym0", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{"nediagonalni", " ", "prvky"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"[", 
            RowBox[{"u1", ",", "u2"}], "]"}], "]"}], "=", 
          RowBox[{
           RowBox[{"m", "[", 
            RowBox[{"[", 
             RowBox[{"u1", ",", "u2"}], "]"}], "]"}], "-", 
           RowBox[{"Ykm", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"m", "[", 
           RowBox[{"[", 
            RowBox[{"u2", ",", "u1"}], "]"}], "]"}], "=", 
          RowBox[{
           RowBox[{"m", "[", 
            RowBox[{"[", 
             RowBox[{"u2", ",", "u1"}], "]"}], "]"}], "-", 
           RowBox[{"Ykm", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}]}], ";"}]}], 
       "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", "m"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"dos", "[", 
   RowBox[{"x_", ",", "hod_"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", 
      RowBox[{"[", "ii", "]"}], "]"}], "\[Rule]", 
     RowBox[{"hod", "[", 
      RowBox[{"[", "ii", "]"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "1", ",", 
      RowBox[{"Length", "@", "x"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.664255385379096*^9, 3.664255438449177*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Vstupn\[IAcute] data optimalizace",
 FontWeight->"Bold",
 FontColor->GrayLevel[0]]], "Subsection",
 CellChangeTimes->{{3.61323945547954*^9, 3.6132394662141542`*^9}, {
  3.6132395729292574`*^9, 3.613239575352396*^9}, {3.6132397890546193`*^9, 
  3.6132397919267836`*^9}, {3.6132444707903996`*^9, 3.613244478053815*^9}, {
  3.6133099855775814`*^9, 3.613309991193903*^9}, {3.613361159142213*^9, 
  3.6133611606554155`*^9}, {3.619347779305542*^9, 3.619347779680564*^9}, {
  3.6642564296866603`*^9, 3.6642564359366693`*^9}},
 Background->RGBColor[
  0.5764705882352941, 0.8588235294117647, 0.611764705882353]],

Cell[BoxData[
 RowBox[{"UZEL", "=", 
  RowBox[{
   RowBox[{"Import", "[", "\"\<uzel.xlsx\>\"", "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6642809819129715`*^9, 3.664281024701419*^9}, {
  3.6642811160446434`*^9, 3.6642811178217454`*^9}}],

Cell[BoxData[
 RowBox[{"UZEL", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.664281040870344*^9, 3.664281089948151*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"vzta\[ZHacek]n\[EAcute]", " ", "nap\[EHacek]t\[IAcute]"}], "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Uvzad", "=", 
    RowBox[{"UZEL", "[", 
     RowBox[{"[", 
      RowBox[{
       RowBox[{"2", ";;", 
        RowBox[{"Length", "@", "UZEL"}]}], ",", "2"}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "ve", " ", "slacku", " ", "a", " ", "PU", " ", "uzlech", " ", "je", " ", 
      "to", " ", "zad\[AAcute]n\[AAcute]", " ", "hodnota"}], ",", " ", 
     RowBox[{"pro", " ", "PQ", " ", "je", " ", "to", " ", "odhad"}]}], "*)"}],
    "\[IndentingNewLine]", 
   RowBox[{"Uzad", "=", 
    RowBox[{"UZEL", "[", 
     RowBox[{"[", 
      RowBox[{
       RowBox[{"2", ";;", 
        RowBox[{"Length", "@", "UZEL"}]}], ",", "3"}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"hodnoty", " ", "\[UAcute]hl\[URing]"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"\[Delta]zad", "=", 
    RowBox[{"UZEL", "[", 
     RowBox[{"[", 
      RowBox[{
       RowBox[{"2", ";;", 
        RowBox[{"Length", "@", "UZEL"}]}], ",", "4"}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"PQ", "-", "1"}], ",", 
     RowBox[{"PU", "-", "2"}], ",", 
     RowBox[{"Slack", "-", "3"}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"typyUzlu", "=", 
    RowBox[{
     RowBox[{"UZEL", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"2", ";;", 
         RowBox[{"Length", "@", "UZEL"}]}], ",", "5"}], "]"}], "]"}], "//", 
     "Round"}]}]}]}]], "Input",
 CellChangeTimes->{{3.664014799882289*^9, 3.6640148263098006`*^9}, {
   3.6640158447643423`*^9, 3.6640158701293793`*^9}, {3.6641886862885184`*^9, 
   3.664188686678519*^9}, 3.664190220703661*^9, {3.664289445163375*^9, 
   3.66428954053983*^9}, {3.6642898267583137`*^9, 3.664289854229962*^9}, {
   3.6642902849716916`*^9, 3.6642902866720943`*^9}, 3.664290353112831*^9, {
   3.6642909292686434`*^9, 3.664290941842265*^9}, {3.6642910163287783`*^9, 
   3.664291032232688*^9}, {3.6642940949791784`*^9, 3.6642941008905168`*^9}, {
   3.6642976096422057`*^9, 3.664297615745555*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"vzta\[ZHacek]n\[EAcute]", " ", "hodnoty"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Sv", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Zv", "=", 
    FractionBox[
     SuperscriptBox["Uvzad", "2"], "Sv"]}], "\[IndentingNewLine]", 
   RowBox[{"Iv", "=", 
    FractionBox["Sv", 
     RowBox[{
      SqrtBox["3"], "*", "Uvzad"}]]}]}]}]], "Input",
 CellChangeTimes->{{3.6642976227979584`*^9, 3.664297630097376*^9}, {
  3.6642979178708353`*^9, 3.6642979524158115`*^9}, {3.6666907594049892`*^9, 
  3.666690808262062*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"pozice", " ", "jednotliv\[YAcute]ch", " ", "typ\[URing]"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"PQPoz", "=", 
    RowBox[{
     RowBox[{"Position", "[", 
      RowBox[{"typyUzlu", ",", "1"}], "]"}], "/.", 
     RowBox[{
      RowBox[{"{", "x_", "}"}], "\[Rule]", "x"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"PUPoz", "=", 
    RowBox[{
     RowBox[{"Position", "[", 
      RowBox[{"typyUzlu", ",", "2"}], "]"}], "/.", 
     RowBox[{
      RowBox[{"{", "x_", "}"}], "\[Rule]", "x"}]}]}], "\[IndentingNewLine]", 
   RowBox[{"SlackPoz", "=", 
    RowBox[{
     RowBox[{"Position", "[", 
      RowBox[{"typyUzlu", ",", "3"}], "]"}], "/.", 
     RowBox[{
      RowBox[{"{", "x_", "}"}], "\[Rule]", "x"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.6641860484354105`*^9, 3.6641860570754285`*^9}, {
  3.6641866163035455`*^9, 3.664186757304823*^9}, {3.664256455809699*^9, 
  3.664256471239721*^9}, {3.6642572807328696`*^9, 3.664257302912902*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Sv", "=", "1"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Pdod", "-", "Podb"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PWzad", "=", 
    FractionBox[
     RowBox[{
      RowBox[{"UZEL", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"2", ";;", 
          RowBox[{"Length", "@", "UZEL"}]}], ",", "6"}], "]"}], "]"}], "-", 
      RowBox[{"UZEL", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"2", ";;", 
          RowBox[{"Length", "@", "UZEL"}]}], ",", "8"}], "]"}], "]"}]}], 
     "Sv"]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Qdod", "-", "Qodb"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"QWzad", "=", 
    FractionBox[
     RowBox[{
      RowBox[{"UZEL", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"2", ";;", 
          RowBox[{"Length", "@", "UZEL"}]}], ",", "7"}], "]"}], "]"}], "-", 
      RowBox[{"UZEL", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"2", ";;", 
          RowBox[{"Length", "@", "UZEL"}]}], ",", "9"}], "]"}], "]"}]}], 
     "Sv"]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "dosazovac\[IAcute]", " ", "vektor", " ", 
    "\[ZHacek]\[AAcute]dan\[YAcute]ch", " ", "hodnot", " ", 
    "v\[YAcute]kon\[URing]", " ", "v", " ", "uzlech", " ", "PQ", " ", "a", 
    " ", "PU"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     SubscriptBox["P", "ii"], "\[Rule]", 
     RowBox[{"%%", "[", 
      RowBox[{"[", "ii", "]"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", 
      RowBox[{"Join", "[", 
       RowBox[{"PQPoz", ",", "PUPoz"}], "]"}]}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"PQWDos", "=", 
  RowBox[{"Join", "[", 
   RowBox[{"%", ",", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       SubscriptBox["Q", "ii"], "\[Rule]", 
       RowBox[{"%%", "[", 
        RowBox[{"[", "ii", "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"ii", ",", "PQPoz"}], "}"}]}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6640134196975746`*^9, 3.66401342433384*^9}, {
   3.664013457711749*^9, 3.664013491341673*^9}, {3.6640135300848885`*^9, 
   3.6640135341611214`*^9}, 3.6640136464005413`*^9, {3.664185028929927*^9, 
   3.6641850568589673`*^9}, {3.6641891692205076`*^9, 
   3.6641891704205093`*^9}, {3.6641902564327126`*^9, 3.664190257152714*^9}, {
   3.6642117459352655`*^9, 3.6642117644216986`*^9}, {3.6642118073789754`*^9, 
   3.6642118332372217`*^9}, {3.664211898227138*^9, 3.6642119423798194`*^9}, {
   3.6642119834560924`*^9, 3.6642120394045925`*^9}, {3.6642144078032637`*^9, 
   3.6642144227902875`*^9}, {3.6642146707884474`*^9, 3.664214678563464*^9}, {
   3.6642570635485463`*^9, 3.6642571005946026`*^9}, {3.6642573453269644`*^9, 
   3.6642573475749683`*^9}, {3.664257755085163*^9, 3.66425776607718*^9}, 
   3.6642676273053265`*^9, {3.664293476704815*^9, 3.6642935334380603`*^9}, {
   3.664293599974866*^9, 3.6642936104244633`*^9}, {3.664294081982435*^9, 
   3.664294086915717*^9}, {3.664294491944884*^9, 3.6642945452249312`*^9}, {
   3.6642945790798674`*^9, 3.664294612831798*^9}, 3.6642949662140102`*^9, 
   3.664297531002708*^9, 3.6642975693389006`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Pevn\[EAcute]", " ", "hodnoty", " ", "nap\[EHacek]t\[IAcute]", " ", 
     "\[UAcute]hlu", " ", "\[Delta]"}], ",", " ", 
    RowBox[{"kter\[EAcute]", " ", "nechceme", " ", 
     RowBox[{"zji\[SHacek]\[THacek]ovat", "."}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "pro", " ", "slack", " ", "je", " ", "to", " ", "\[UAcute]hel", " ", 
    "\[Delta]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Delta]UPevnaDos", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Delta]", "uzel"], "\[Rule]", 
         RowBox[{"\[Delta]zad", "[", 
          RowBox[{"[", "uzel", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"uzel", ",", "SlackPoz"}], "}"}]}], "]"}], 
     "\[IndentingNewLine]", "}"}], "//", "Flatten"}]}]}]], "Input",
 CellChangeTimes->{{3.664188705915547*^9, 3.6641887916156836`*^9}, {
   3.6641888296047378`*^9, 3.6641889810319715`*^9}, {3.664189033230051*^9, 
   3.664189073745109*^9}, 3.6641894004008446`*^9, {3.664190078698454*^9, 
   3.664190081358457*^9}, {3.664257129102645*^9, 3.6642571769167147`*^9}, {
   3.664257372026005*^9, 3.664257375126009*^9}, {3.6642577794402*^9, 
   3.6642577869502106`*^9}, {3.6642587683237495`*^9, 3.66425876872375*^9}, {
   3.6703243081781645`*^9, 3.670324315634978*^9}, {3.6704237312658567`*^9, 
   3.670423757084704*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "promenne", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Join", "[", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "pro", " ", "v\[SHacek]echny", " ", "uzly", " ", "typu", " ", "PQ", " ",
        "a", " ", "PU", " ", "hled\[AAcute]me", " ", "\[UAcute]hel"}], "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        SubscriptBox["\[Delta]", "uzel"], ",", 
        RowBox[{"{", 
         RowBox[{"uzel", ",", 
          RowBox[{"Join", "[", 
           RowBox[{"PQPoz", ",", "PUPoz"}], "]"}]}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "velikosti", " ", "nap\[EHacek]t\[IAcute]", " ", "hled\[AAcute]me", 
        " ", "pouze", " ", "pro", " ", "PQ", " ", "uzly"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        SubscriptBox["U", "uzel"], ",", 
        RowBox[{"{", 
         RowBox[{"uzel", ",", "PQPoz"}], "}"}]}], "]"}]}], 
     "\[IndentingNewLine]", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"\[Delta]U", "=", "%"}], "\[IndentingNewLine]", 
   RowBox[{"PQ", "=", 
    RowBox[{"%", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Delta]", "\[Rule]", "P"}], ",", 
       RowBox[{"U", "\[Rule]", "Q"}]}], "}"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.6044686915196915`*^9, 3.6044687022369103`*^9}, {
   3.6044694957468987`*^9, 3.6044695633886175`*^9}, {3.60447066409804*^9, 
   3.604470684098068*^9}, {3.60447177329836*^9, 3.6044717790083675`*^9}, {
   3.6044783808905334`*^9, 3.604478455980657*^9}, 3.6044784928655205`*^9, {
   3.6044786626357584`*^9, 3.604478711715827*^9}, {3.604478748005878*^9, 
   3.6044789303261333`*^9}, 3.6044789976762276`*^9, {3.6044793473897552`*^9, 
   3.6044794133298473`*^9}, 3.604479584600087*^9, {3.604485014164492*^9, 
   3.6044850895588045`*^9}, {3.6044857427061625`*^9, 3.604485761353229*^9}, {
   3.6073641537624006`*^9, 3.607364161241828*^9}, {3.6073642063374076`*^9, 
   3.6073642124007545`*^9}, {3.664013777619528*^9, 3.6640137817395334`*^9}, {
   3.6640144075988517`*^9, 3.6640144278040075`*^9}, {3.664014482164117*^9, 
   3.664014558397477*^9}, {3.664014630726614*^9, 3.6640146440953784`*^9}, {
   3.6640146895059757`*^9, 3.664014770804626*^9}, {3.66401483801147*^9, 
   3.6640149820547085`*^9}, {3.6640153480057445`*^9, 3.664015361156767*^9}, {
   3.66401543873203*^9, 3.6640154623790765`*^9}, {3.6641896788914967`*^9, 
   3.6641896859115067`*^9}, {3.6642117773093214`*^9, 3.664211779620126*^9}, {
   3.6642572604868393`*^9, 3.664257273426858*^9}, {3.6642573823030195`*^9, 
   3.664257487585174*^9}}],

Cell[BoxData[
 RowBox[{"UU", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     SubscriptBox["U", "i"], "*", 
     RowBox[{"Exp", "[", 
      RowBox[{"I", "*", 
       SubscriptBox["\[Delta]", "i"]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", 
      RowBox[{"Length", "@", "Uzad"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6640122039295006`*^9, 3.664012212769513*^9}, {
   3.6640125966770525`*^9, 3.664012612714076*^9}, {3.6641899909513254`*^9, 
   3.6641900110513554`*^9}, {3.664190092073473*^9, 3.6641900929634743`*^9}, 
   3.6642086794756393`*^9, {3.6642091951874247`*^9, 3.6642091982138295`*^9}, {
   3.664257700879083*^9, 3.664257723841117*^9}, 3.664257816656255*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"po\[CHacek]\[AAcute]te\[CHacek]n\[IAcute]", " ", "odhady"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"\[Xi]0Dos", "=", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          SubscriptBox["\[Delta]", "uzel"], "\[Rule]", 
          RowBox[{"\[Delta]zad", "[", 
           RowBox[{"[", "uzel", "]"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"uzel", ",", 
           RowBox[{
            RowBox[{"Join", "[", 
             RowBox[{"PQPoz", ",", "PUPoz"}], "]"}], "//", "Sort"}]}], 
          "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          SubscriptBox["U", "uzel"], "\[Rule]", 
          RowBox[{"Uzad", "[", 
           RowBox[{"[", "uzel", "]"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"uzel", ",", "1", ",", 
           RowBox[{"Length", "@", "Uzad"}]}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          SubscriptBox["\[Lambda]P", "ii"], "\[Rule]", "0"}], ",", 
         RowBox[{"{", 
          RowBox[{"ii", ",", 
           RowBox[{
            RowBox[{"Join", "[", 
             RowBox[{"PQPoz", ",", "PUPoz"}], "]"}], "//", "Sort"}]}], 
          "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          SubscriptBox["\[Lambda]Q", "ii"], "\[Rule]", "0.1"}], ",", 
         RowBox[{"{", 
          RowBox[{"ii", ",", "PQPoz"}], "}"}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], "//", "Flatten"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"%", "//", "Length"}]}]}]], "Input",
 CellChangeTimes->{{3.664188655709446*^9, 3.6641886653694887`*^9}, 
   3.664188695519532*^9, {3.664189286853679*^9, 3.6641893938008356`*^9}, 
   3.6641897504886003`*^9, 3.6642127283855553`*^9, {3.6642576279229736`*^9, 
   3.664257645565998*^9}, 3.664258016986313*^9, {3.6642587858687763`*^9, 
   3.664258786208777*^9}, {3.6702205080221653`*^9, 3.6702206144332514`*^9}, {
   3.6702208838196597`*^9, 3.670220908117049*^9}, {3.670221113540799*^9, 
   3.6702211444095645`*^9}, {3.6702211805216303`*^9, 3.670221180883651*^9}, {
   3.6702217395336037`*^9, 3.6702217469260263`*^9}, {3.6702218496219006`*^9, 
   3.6702218498709145`*^9}, {3.670221887671077*^9, 3.6702218956555333`*^9}, {
   3.67022484272066*^9, 3.670224843001461*^9}, {3.6702251152978234`*^9, 
   3.6702251157814245`*^9}, 3.6702298859430866`*^9}],

Cell[BoxData[{
 RowBox[{"\[Xi]", "=", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       SubscriptBox["\[Delta]", "uzel"], ",", 
       RowBox[{"{", 
        RowBox[{"uzel", ",", 
         RowBox[{
          RowBox[{"Join", "[", 
           RowBox[{"PQPoz", ",", "PUPoz"}], "]"}], "//", "Sort"}]}], "}"}]}], 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       SubscriptBox["U", "uzel"], ",", 
       RowBox[{"{", 
        RowBox[{"uzel", ",", "1", ",", 
         RowBox[{"Length", "@", "Uzad"}]}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       SubscriptBox["\[Lambda]P", "ii"], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", 
         RowBox[{
          RowBox[{"Join", "[", 
           RowBox[{"PQPoz", ",", "PUPoz"}], "]"}], "//", "Sort"}]}], "}"}]}], 
      "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       SubscriptBox["\[Lambda]Q", "ii"], ",", 
       RowBox[{"{", 
        RowBox[{"ii", ",", "PQPoz"}], "}"}]}], "]"}]}], "\[IndentingNewLine]",
     "}"}], "//", "Flatten"}]}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.670220636450511*^9, 3.670220703097323*^9}, {
   3.67022109362566*^9, 3.6702210996830063`*^9}, {3.670221190442198*^9, 
   3.670221195049461*^9}, {3.670221658811987*^9, 3.6702216629562235`*^9}, 
   3.670221766814164*^9, {3.670221826872599*^9, 3.670221839625329*^9}, {
   3.6702219063751464`*^9, 3.670221908604274*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Popis s\[IAcute]t\[EHacek] - admitan\[CHacek]n\
\[IAcute] matice",
 FontWeight->"Bold",
 FontColor->GrayLevel[0]]], "Subsection",
 CellChangeTimes->{{3.61323945547954*^9, 3.6132394662141542`*^9}, {
  3.6132395729292574`*^9, 3.613239575352396*^9}, {3.6132397890546193`*^9, 
  3.6132397919267836`*^9}, {3.6132444707903996`*^9, 3.613244478053815*^9}, {
  3.6133099855775814`*^9, 3.613309991193903*^9}, {3.613361159142213*^9, 
  3.6133611606554155`*^9}, {3.619347779305542*^9, 3.619347779680564*^9}, {
  3.6642562023677015`*^9, 3.6642562108577147`*^9}},
 Background->RGBColor[
  0.5764705882352941, 0.8588235294117647, 0.611764705882353]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"VETEV", "=", 
   RowBox[{
    RowBox[{"Import", "[", "\"\<vetev.xlsx\>\"", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.6642966859653745`*^9, 3.664296727985778*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"propoje", " ", "mezi", " ", "uzly"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"uzel1", "=", 
    RowBox[{
     RowBox[{"VETEV", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"2", ";;", 
         RowBox[{"Length", "@", "VETEV"}]}], ",", "1"}], "]"}], "]"}], "//", 
     "Round"}]}], "\[IndentingNewLine]", 
   RowBox[{"uzel2", "=", 
    RowBox[{
     RowBox[{"VETEV", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"2", ";;", 
         RowBox[{"Length", "@", "VETEV"}]}], ",", "2"}], "]"}], "]"}], "//", 
     "Round"}]}]}]}]], "Input",
 CellChangeTimes->{{3.6336676242218046`*^9, 3.6336676692243786`*^9}, {
  3.6640084076287107`*^9, 3.6640084164587226`*^9}, {3.664008529982894*^9, 
  3.664008533042898*^9}, {3.664297160612523*^9, 3.6642972576680737`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "vektor", " ", "uzlov\[YAcute]ch", " ", "admitanc\[IAcute]", " ", 
    "sousledn\[EAcute]", " ", "slo\[ZHacek]ky"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Y1", "=", 
   RowBox[{"ConstantArray", "[", 
    RowBox[{"0", ",", 
     RowBox[{"Max", "[", 
      RowBox[{"Join", "[", 
       RowBox[{"uzel1", ",", "uzel2"}], "]"}], "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6330753522238503`*^9, 3.633075385646762*^9}, {
   3.63307599562825*^9, 3.633076016500444*^9}, {3.6330761777126646`*^9, 
   3.633076243281415*^9}, {3.633076299126609*^9, 3.633076349678501*^9}, {
   3.633078446321211*^9, 3.6330784507804656`*^9}, 3.6330787610702133`*^9, {
   3.63307880822091*^9, 3.6330788090999603`*^9}, {3.6336673965657835`*^9, 
   3.6336674437264805`*^9}, {3.6336685600873327`*^9, 
   3.6336685603713493`*^9}, {3.6336773893923407`*^9, 
   3.6336773898293653`*^9}, {3.6336809734073343`*^9, 
   3.6336809748444166`*^9}, {3.6640084306407423`*^9, 
   3.6640084313007436`*^9}, {3.6642970919965982`*^9, 
   3.6642971499889154`*^9}, {3.664297267123615*^9, 3.664297273579984*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "vektor", " ", "meziuzlov\[YAcute]ch", " ", "impedanc\[IAcute]", " ", "a", 
    " ", "susceptanc\[IAcute]", " ", "sousledn\[EAcute]", " ", 
    "slo\[ZHacek]ky"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"R1", "=", 
     RowBox[{"VETEV", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"2", ";;", 
         RowBox[{"Length", "@", "VETEV"}]}], ",", "3"}], "]"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"X1", "=", 
     RowBox[{"VETEV", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"2", ";;", 
         RowBox[{"Length", "@", "VETEV"}]}], ",", "4"}], "]"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"Zkm1", "=", 
    FractionBox[
     RowBox[{"R1", "+", 
      RowBox[{"I", "*", "X1"}]}], 
     RowBox[{"Zv", "[", 
      RowBox[{"[", "uzel1", "]"}], "]"}]]}], "\[IndentingNewLine]", 
   RowBox[{"B1", "=", 
    RowBox[{
     RowBox[{"VETEV", "[", 
      RowBox[{"[", 
       RowBox[{
        RowBox[{"2", ";;", 
         RowBox[{"Length", "@", "VETEV"}]}], ",", "5"}], "]"}], "]"}], "*", 
     RowBox[{"Zv", "[", 
      RowBox[{"[", "uzel1", "]"}], "]"}], "*", 
     SuperscriptBox["10", 
      RowBox[{"-", "6"}]]}]}], "\[IndentingNewLine]", 
   RowBox[{"T", "=", 
    RowBox[{"VETEV", "[", 
     RowBox[{"[", 
      RowBox[{
       RowBox[{"2", ";;", 
        RowBox[{"Length", "@", "VETEV"}]}], ",", "6"}], "]"}], 
     "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.6330763944300604`*^9, 3.633076558310434*^9}, {
   3.633076724265926*^9, 3.633076755217696*^9}, {3.633076821408482*^9, 
   3.6330768356802983`*^9}, {3.6330769028551407`*^9, 3.633076927160531*^9}, {
   3.633076993564329*^9, 3.6330770035078974`*^9}, {3.6330770796202507`*^9, 
   3.6330770927210007`*^9}, {3.6330771593358107`*^9, 3.6330771866713743`*^9}, 
   3.6330772274007034`*^9, {3.633667464285657*^9, 3.6336674810676165`*^9}, {
   3.633667540309005*^9, 3.633667574686971*^9}, {3.633667681524082*^9, 
   3.6336677794016805`*^9}, {3.664008496627842*^9, 3.664008541802911*^9}, {
   3.6640086033987074`*^9, 3.664008604548709*^9}, {3.6640086382607565`*^9, 
   3.6640086569627886`*^9}, {3.664008850835146*^9, 3.6640089019182243`*^9}, {
   3.6642972958282566`*^9, 3.6642973666053047`*^9}, {3.6642974616107388`*^9, 
   3.6642974986668587`*^9}, {3.6642981749675407`*^9, 
   3.6642982068713655`*^9}, {3.664298258861339*^9, 3.664298278397456*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ymat", "=", 
   RowBox[{"Ymatice", "[", 
    RowBox[{
    "uzel1", ",", "\[IndentingNewLine]", "uzel2", ",", "\[IndentingNewLine]", 
     "Zkm1", ",", "\[IndentingNewLine]", "Y1", ",", "\[IndentingNewLine]", 
     "B1", ",", "\[IndentingNewLine]", "T"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.664010033232936*^9, 3.6640100437679515`*^9}, {
  3.6640121142576413`*^9, 3.6640121161676435`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Vyj\[AAcute]d\[RHacek]en\[IAcute] v\[YAcute]kon\
\[URing]",
 FontWeight->"Bold",
 FontColor->GrayLevel[0]]], "Subsection",
 CellChangeTimes->{{3.61323945547954*^9, 3.6132394662141542`*^9}, {
  3.6132395729292574`*^9, 3.613239575352396*^9}, {3.6132397890546193`*^9, 
  3.6132397919267836`*^9}, {3.6132444707903996`*^9, 3.613244478053815*^9}, {
  3.6133099855775814`*^9, 3.613309991193903*^9}, {3.613361159142213*^9, 
  3.6133611606554155`*^9}, {3.619347779305542*^9, 3.619347779680564*^9}, {
  3.6642564296866603`*^9, 3.6642564359366693`*^9}, {3.664260458526645*^9, 
  3.664260459536647*^9}, {3.6703171087801657`*^9, 3.670317115846978*^9}},
 Background->RGBColor[
  0.5764705882352941, 0.8588235294117647, 0.611764705882353]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SS", "=", 
   RowBox[{
    RowBox[{"DiagonalMatrix", "[", "UU", "]"}], ".", 
    RowBox[{"Conjugate", "[", "ymat", "]"}], ".", 
    RowBox[{"Conjugate", "[", "UU", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.6640161988118534`*^9, 3.6640161998318553`*^9}, {
   3.6640162550829353`*^9, 3.6640162600229425`*^9}, {3.6640163429890623`*^9, 
   3.6640163590860863`*^9}, {3.664016474083253*^9, 3.664016496365286*^9}, 
   3.664016529563334*^9, {3.6640168331690283`*^9, 3.66401683446903*^9}, {
   3.664016875980089*^9, 3.664016882660099*^9}, {3.664258034098338*^9, 
   3.664258056929372*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SSDos", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         SubscriptBox["P", "uzel"], "\[Rule]", 
         RowBox[{"ComplexExpand", "[", 
          RowBox[{"Re", "[", 
           RowBox[{"SS", "[", 
            RowBox[{"[", "uzel", "]"}], "]"}], "]"}], "]"}]}], ",", 
        RowBox[{
         SubscriptBox["Q", "uzel"], "\[Rule]", 
         RowBox[{"ComplexExpand", "[", 
          RowBox[{"Im", "[", 
           RowBox[{"SS", "[", 
            RowBox[{"[", "uzel", "]"}], "]"}], "]"}], "]"}]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"uzel", ",", "1", ",", 
        RowBox[{"Length", "@", "UU"}]}], "}"}]}], "]"}], "//", "Flatten"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.6640168548710585`*^9, 3.664016863831072*^9}, {
   3.6640171202836647`*^9, 3.6640171445336986`*^9}, {3.6641905515121408`*^9, 
   3.664190596533206*^9}, {3.664190646419278*^9, 3.664190713187375*^9}, {
   3.664209259225537*^9, 3.664209282407178*^9}, {3.6642133691861696`*^9, 
   3.66421336940457*^9}, {3.664258086633416*^9, 3.6642581254974737`*^9}, 
   3.6698085124325385`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Tvorba Lagrangerovy funkce",
 FontWeight->"Bold",
 FontColor->GrayLevel[0]]], "Subsection",
 CellChangeTimes->{{3.61323945547954*^9, 3.6132394662141542`*^9}, {
  3.6132395729292574`*^9, 3.613239575352396*^9}, {3.6132397890546193`*^9, 
  3.6132397919267836`*^9}, {3.6132444707903996`*^9, 3.613244478053815*^9}, {
  3.6133099855775814`*^9, 3.613309991193903*^9}, {3.613361159142213*^9, 
  3.6133611606554155`*^9}, {3.619347779305542*^9, 3.619347779680564*^9}, {
  3.6642564296866603`*^9, 3.6642564359366693`*^9}, {3.664260458526645*^9, 
  3.664260459536647*^9}, {3.6703171087801657`*^9, 3.670317115846978*^9}, {
  3.6703173893219075`*^9, 3.670317396546121*^9}},
 Background->RGBColor[
  0.5764705882352941, 0.8588235294117647, 0.611764705882353]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[Lambda]P", "ii"], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        SubscriptBox["P", "ii"], 
        RowBox[{"(*", 
         RowBox[{"/.", "SSDos"}], "*)"}], ")"}], "-", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["P", "ii"], "/.", "PQWDos"}], ")"}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", 
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{"PQPoz", ",", "PUPoz"}], "]"}], "//", "Sort"}]}], "}"}]}], 
   "]"}], "/.", 
  RowBox[{"List", "\[Rule]", "Plus"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PP", "=", 
   RowBox[{"%", "/.", "SSDos"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.669808584565466*^9, 3.6698085880442724`*^9}, {
  3.669808935937425*^9, 3.6698090338539996`*^9}, {3.669809220803665*^9, 
  3.669809246924715*^9}, {3.6698113670057364`*^9, 3.669811414754467*^9}, {
  3.669811478361105*^9, 3.669811480457225*^9}, {3.6698163852838974`*^9, 
  3.6698163858610983`*^9}, {3.6702166769954586`*^9, 3.670216688603879*^9}, {
  3.670219643068529*^9, 3.670219646703336*^9}, {3.6702223505195503`*^9, 
  3.670222404991666*^9}, {3.6702224740516157`*^9, 3.670222474287629*^9}, {
  3.6702228698992567`*^9, 3.670222871274336*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[Lambda]Q", "ii"], "*", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        SubscriptBox["Q", "ii"], 
        RowBox[{"(*", 
         RowBox[{"/.", "SSDos"}], "*)"}], ")"}], "-", 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["Q", "ii"], "/.", "PQWDos"}], ")"}]}], ")"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"ii", ",", "PQPoz"}], "}"}]}], "]"}], "/.", 
  RowBox[{"List", "\[Rule]", "Plus"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"QQ", "=", 
   RowBox[{"%", "/.", "SSDos"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "Length"}]}], "Input",
 CellChangeTimes->{{3.6698114901527796`*^9, 3.6698115154092245`*^9}, {
  3.669811556224559*^9, 3.669811579767905*^9}, {3.6698163894023046`*^9, 
  3.669816390322706*^9}, {3.670216737347374*^9, 3.6702167411849804`*^9}, {
  3.670222447886119*^9, 3.6702224659331512`*^9}, {3.6703014734545383`*^9, 
  3.6703014738235593`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"WD", "=", "2000000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WH", "=", "2000000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"WD", "*", 
      SuperscriptBox[
       RowBox[{"Max", "[", 
        RowBox[{"0", ",", 
         RowBox[{
          RowBox[{"-", 
           SubscriptBox["U", "ii"]}], "+", "0.95"}]}], "]"}], "2"]}], ",", 
     RowBox[{"WH", "*", 
      SuperscriptBox[
       RowBox[{"Max", "[", 
        RowBox[{"0", ",", 
         RowBox[{
          SubscriptBox["U", "ii"], "-", "1.05"}]}], "]"}], "2"]}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["U", "ii"], ",", "0", ",", "1.5"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "1.2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1000"}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<min\>\"", ",", "\"\<max\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.670215505272009*^9, 3.670215564429988*^9}, {
   3.6702156237546988`*^9, 3.6702157105430603`*^9}, {3.670215744550521*^9, 
   3.6702157602539554`*^9}, {3.670215873936248*^9, 3.6702159858028545`*^9}, 
   3.670216032915739*^9, {3.670216273141859*^9, 3.6702163587414246`*^9}, {
   3.670312819955714*^9, 3.6703128205797153`*^9}}],

Cell[BoxData[
 RowBox[{"funcUU", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"WD", "*", 
           SubscriptBox["lD", "ii"]}], "2"], "*", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             SubscriptBox["U", "ii"]}], "+", "0.95"}], ")"}], "2"]}], ",", 
        RowBox[{
         FractionBox[
          RowBox[{"WH", "*", 
           SubscriptBox["lH", "ii"]}], "2"], "*", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["U", "ii"], "-", "1.05"}], ")"}], "2"]}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"ii", ",", "1", ",", 
        RowBox[{"Length", "@", "Uzad"}]}], "}"}]}], "]"}], "//", "Flatten"}], 
   "//", "Total"}]}]], "Input",
 CellChangeTimes->{{3.6698125486053195`*^9, 3.669812620507432*^9}, {
   3.6698137631467876`*^9, 3.6698138300576143`*^9}, {3.6698138845147295`*^9, 
   3.669813886495843*^9}, {3.669816379621087*^9, 3.6698164018199263`*^9}, {
   3.6698164788996615`*^9, 3.6698165077285123`*^9}, 3.6701282900777893`*^9, {
   3.67021542445006*^9, 3.670215473846751*^9}, 3.670216378229661*^9, 
   3.670216637587781*^9, {3.6702263894217634`*^9, 3.67022639311897*^9}, {
   3.6702987284119453`*^9, 3.6702987997740946`*^9}, {3.670298874946432*^9, 
   3.670298878862039*^9}, {3.6703128179589105`*^9, 3.670312825650724*^9}, {
   3.6703142518319016`*^9, 3.670314285699561*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Prvn\[IAcute] iterace - 0",
 FontWeight->"Bold",
 FontColor->GrayLevel[0]]], "Subsection",
 CellChangeTimes->{{3.61323945547954*^9, 3.6132394662141542`*^9}, {
  3.6132395729292574`*^9, 3.613239575352396*^9}, {3.6132397890546193`*^9, 
  3.6132397919267836`*^9}, {3.6132444707903996`*^9, 3.613244478053815*^9}, {
  3.6133099855775814`*^9, 3.613309991193903*^9}, {3.613361159142213*^9, 
  3.6133611606554155`*^9}, {3.619347779305542*^9, 3.619347779680564*^9}, {
  3.6642564296866603`*^9, 3.6642564359366693`*^9}, {3.664260458526645*^9, 
  3.664260459536647*^9}, {3.6703171087801657`*^9, 3.670317115846978*^9}, {
  3.6703174296577806`*^9, 3.6703174469114113`*^9}, {3.670317477445665*^9, 
  3.670317483156077*^9}, {3.670318176075577*^9, 3.670318176824378*^9}, {
  3.6703183016132174`*^9, 3.670318304218422*^9}, {3.670318467654622*^9, 
  3.6703184723034306`*^9}},
 Background->RGBColor[
  0.5764705882352941, 0.8588235294117647, 0.611764705882353]],

Cell[BoxData[
 RowBox[{"omezUU", "=", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           SubscriptBox["U", "ii"], "\[GreaterEqual]", "0.95"}], ",", 
          RowBox[{
           SubscriptBox["lD", "ii"], "\[Rule]", "0"}], ",", 
          RowBox[{
           SubscriptBox["lD", "ii"], "\[Rule]", "1"}]}], "]"}], "/.", 
        "\[Xi]0Dos"}], ",", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           SubscriptBox["U", "ii"], "\[LessEqual]", "1.05"}], ",", 
          RowBox[{
           SubscriptBox["lH", "ii"], "\[Rule]", "0"}], ",", 
          RowBox[{
           SubscriptBox["lH", "ii"], "\[Rule]", "1"}]}], "]"}], "/.", 
        "\[Xi]0Dos"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"ii", ",", "1", ",", 
       RowBox[{"Length", "@", "Uzad"}]}], "}"}]}], "]"}], "//", 
   "Flatten"}]}]], "Input",
 CellChangeTimes->{{3.670302894775833*^9, 3.670302979927704*^9}, {
  3.6703030754801693`*^9, 3.670303154682699*^9}, {3.670303230426031*^9, 
  3.670303232997178*^9}, {3.6703033419064074`*^9, 3.6703033453166027`*^9}, {
  3.670303648364936*^9, 3.6703036549833145`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Lagrangerova", " ", "funke"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Lobec", "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["P", "1"], "/.", "SSDos"}], ")"}], "+", "PP", "+", "QQ", 
     "+", "funcUU"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.6698164084031377`*^9, 3.669816431194778*^9}, {
   3.6698165179465303`*^9, 3.6698165191633325`*^9}, 3.67022250927063*^9, {
   3.6702225512330303`*^9, 3.6702225529881306`*^9}, 3.6702243025858145`*^9, 
   3.670224868805307*^9, {3.67022557405708*^9, 3.6702255781910872`*^9}, 
   3.6702264141010065`*^9, {3.6702991046492214`*^9, 3.6702991057412233`*^9}, {
   3.670300797667225*^9, 3.6703007981206255`*^9}, {3.6703037409162292`*^9, 
   3.670303742158301*^9}, {3.6703143608043*^9, 3.6703143623175025`*^9}, {
   3.6703146101665444`*^9, 3.6703146193081603`*^9}, {3.670317419716162*^9, 
   3.6703174200749626`*^9}, {3.6703185005546837`*^9, 3.670318502504687*^9}, {
   3.6703241286062493`*^9, 3.670324137467065*^9}, {3.670324636853372*^9, 
   3.6703246383041744`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "Gradient", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"GLobec", "=", 
     RowBox[{"D", "[", 
      RowBox[{"Lobec", ",", 
       RowBox[{"{", "\[Xi]", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"GL0", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"GLobec", "/.", "\[Xi]0Dos"}], "/.", "\[Delta]UPevnaDos"}], "/.",
      "omezUU"}]}], "\[IndentingNewLine]", 
   RowBox[{"%", "//", "Length"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TableForm", "[", 
     RowBox[{"%%", ",", 
      RowBox[{"TableHeadings", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{"ii", ",", 
           RowBox[{"{", 
            RowBox[{"ii", ",", "1", ",", 
             RowBox[{"Length", "@", "\[Xi]"}]}], "}"}]}], "]"}], ",", 
         "None"}], "}"}]}]}], "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6702230550938497`*^9, 3.6702230614212112`*^9}, {
   3.6702231347704067`*^9, 3.6702231463700705`*^9}, {3.6702231984360485`*^9, 
   3.67022319864506*^9}, {3.670223627684985*^9, 3.670223664656253*^9}, {
   3.6702238556085973`*^9, 3.6702238991076765`*^9}, {3.6702264354906445`*^9, 
   3.6702264492970695`*^9}, 3.670226973725833*^9, 3.6702987032779007`*^9, {
   3.6703016462674227`*^9, 3.6703016675436397`*^9}, {3.6703037862288218`*^9, 
   3.6703038028887744`*^9}, {3.670304805445117*^9, 3.670304810511407*^9}, {
   3.6703048946862216`*^9, 3.67030490077057*^9}, 3.670305421938379*^9, {
   3.670306787760476*^9, 3.6703067884312773`*^9}, {3.670313521355687*^9, 
   3.6703135233524904`*^9}, 3.670313590227614*^9, {3.6703143134664154`*^9, 
   3.6703143268824387`*^9}, 3.6703143729139214`*^9, 3.6703155439897313`*^9, {
   3.6703175950754795`*^9, 3.670317595701481*^9}, {3.670317894378045*^9, 
   3.6703178969676495`*^9}, 3.6703182135344543`*^9, {3.670318323627059*^9, 
   3.67031832453386*^9}, {3.6703185075433273`*^9, 3.670318508136129*^9}, {
   3.6703241243162417`*^9, 3.670324125314644*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Ovrouben\[YAcute]", " ", "Hessi\[AAcute]n"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Wobec", "=", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{"Lobec", ",", 
         RowBox[{"{", "\[Xi]", "}"}]}], "]"}], ",", 
       RowBox[{"{", "\[Xi]", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"W0", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Wobec", "/.", "\[Xi]0Dos"}], "/.", "\[Delta]UPevnaDos"}], "/.",
       "omezUU"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IW0", "=", 
     RowBox[{"%", "//", "Inverse"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TableForm", "[", 
     RowBox[{"%", ",", 
      RowBox[{"TableHeadings", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{"ii", ",", 
           RowBox[{"{", 
            RowBox[{"ii", ",", "1", ",", "59"}], "}"}]}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{"ii", ",", 
           RowBox[{"{", 
            RowBox[{"ii", ",", "1", ",", "59"}], "}"}]}], "]"}]}], "}"}]}]}], 
     "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6703040016211414`*^9, 3.6703040231463723`*^9}, {
   3.6703041742260137`*^9, 3.6703042692444487`*^9}, {3.670304943907037*^9, 
   3.670304977318948*^9}, {3.670305043418729*^9, 3.670305045097825*^9}, {
   3.6703068015285025`*^9, 3.6703068053349085`*^9}, {3.6703105975397553`*^9, 
   3.6703106005887613`*^9}, {3.6703136267822847`*^9, 
   3.6703136705579615`*^9}, {3.670313853763565*^9, 3.670313872298398*^9}, 
   3.670315637522142*^9, {3.6703159691413474`*^9, 3.670315972405753*^9}, {
   3.670318011936658*^9, 3.670318030306692*^9}, {3.6703181980382166`*^9, 
   3.670318221256468*^9}, {3.6703182766623726`*^9, 3.6703182938224025`*^9}, {
   3.670318512312539*^9, 3.6703185128741407`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "strukt\[URing]ra", " ", "ovrouben\[EAcute]ho", " ", "hesi\[AAcute]nu"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{"...", "\[IndentingNewLine]", "..."}], "\[IndentingNewLine]", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.670420221637435*^9, 3.6704202361298604`*^9}, {
   3.6704202730239253`*^9, 3.670420327320021*^9}, {3.670422060200547*^9, 
   3.6704222438300505`*^9}, 3.6704223897403955`*^9, {3.6704224323568335`*^9, 
   3.670422493868352*^9}, {3.6704225812923517`*^9, 3.670422637955593*^9}, {
   3.670422669971424*^9, 3.670422673988654*^9}, {3.6704227301148643`*^9, 
   3.6704227304428825`*^9}, {3.6704232481392517`*^9, 
   3.6704232594416723`*^9}, {3.670423306894369*^9, 3.6704233124466867`*^9}, {
   3.670423540172082*^9, 3.6704235641481256`*^9}}],

Cell[BoxData[
 RowBox[{"\[CapitalDelta]\[Xi]0", "=", 
  RowBox[{"-", 
   RowBox[{
    RowBox[{"Inverse", "[", "W0", "]"}], ".", "GL0"}]}]}]], "Input",
 CellChangeTimes->{{3.670305048740033*^9, 3.6703050749775333`*^9}, {
   3.6703051296106586`*^9, 3.6703051448165283`*^9}, {3.670305416750082*^9, 
   3.670305440858461*^9}, 3.67030555029172*^9, {3.6703059036235285`*^9, 
   3.670305907302739*^9}, {3.6703059685212407`*^9, 3.6703060058463755`*^9}, {
   3.6703060491498528`*^9, 3.670306056292261*^9}, {3.6703067818168654`*^9, 
   3.670306782628067*^9}, {3.6703139002192483`*^9, 3.670313904540456*^9}, {
   3.670318484921456*^9, 3.6703184893050632`*^9}, {3.6703187445401683`*^9, 
   3.670318744824771*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"\[Xi]", "/.", "\[Xi]0Dos"}], ")"}], "+", 
  "\[CapitalDelta]\[Xi]0"}]], "Input",
 CellChangeTimes->{{3.670305508520331*^9, 3.670305566652656*^9}, 
   3.6703068204075356`*^9, {3.670318532953376*^9, 3.6703185333121767`*^9}}],

Cell[BoxData[
 RowBox[{"\[Xi]kDos", "=", 
  RowBox[{"dos", "[", 
   RowBox[{"\[Xi]", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Xi]", "/.", "\[Xi]0Dos"}], ")"}], "+", 
     "\[CapitalDelta]\[Xi]0"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6703057176672935`*^9, 3.67030577844977*^9}, 
   3.6703068281607494`*^9, {3.6703185537366123`*^9, 3.6703185799632587`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Dal\[SHacek]\[IAcute] iterace - k",
 FontWeight->"Bold",
 FontColor->GrayLevel[0]]], "Subsection",
 CellChangeTimes->{{3.61323945547954*^9, 3.6132394662141542`*^9}, {
  3.6132395729292574`*^9, 3.613239575352396*^9}, {3.6132397890546193`*^9, 
  3.6132397919267836`*^9}, {3.6132444707903996`*^9, 3.613244478053815*^9}, {
  3.6133099855775814`*^9, 3.613309991193903*^9}, {3.613361159142213*^9, 
  3.6133611606554155`*^9}, {3.619347779305542*^9, 3.619347779680564*^9}, {
  3.6642564296866603`*^9, 3.6642564359366693`*^9}, {3.664260458526645*^9, 
  3.664260459536647*^9}, {3.6703171087801657`*^9, 3.670317115846978*^9}, {
  3.6703174296577806`*^9, 3.6703174469114113`*^9}, {3.670317477445665*^9, 
  3.670317483156077*^9}, {3.670318176075577*^9, 3.670318176824378*^9}, {
  3.6703183016132174`*^9, 3.670318304218422*^9}, {3.670318467654622*^9, 
  3.6703184723034306`*^9}, {3.6703185961620874`*^9, 3.6703186000800953`*^9}},
 Background->RGBColor[
  0.5764705882352941, 0.8588235294117647, 0.611764705882353]],

Cell[BoxData[
 RowBox[{"omezUU", "=", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           SubscriptBox["U", "ii"], "\[GreaterEqual]", "0.95"}], ",", 
          RowBox[{
           SubscriptBox["lD", "ii"], "\[Rule]", "0"}], ",", 
          RowBox[{
           SubscriptBox["lD", "ii"], "\[Rule]", "1"}]}], "]"}], "/.", 
        "\[Xi]kDos"}], ",", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           SubscriptBox["U", "ii"], "\[LessEqual]", "1.05"}], ",", 
          RowBox[{
           SubscriptBox["lH", "ii"], "\[Rule]", "0"}], ",", 
          RowBox[{
           SubscriptBox["lH", "ii"], "\[Rule]", "1"}]}], "]"}], "/.", 
        "\[Xi]kDos"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"ii", ",", "1", ",", 
       RowBox[{"Length", "@", "Uzad"}]}], "}"}]}], "]"}], "//", 
   "Flatten"}]}]], "Input",
 CellChangeTimes->{{3.670302894775833*^9, 3.670302979927704*^9}, {
  3.6703030754801693`*^9, 3.670303154682699*^9}, {3.670303230426031*^9, 
  3.670303232997178*^9}, {3.6703033419064074`*^9, 3.6703033453166027`*^9}, {
  3.670303648364936*^9, 3.6703036549833145`*^9}, {3.6703187122046995`*^9, 
  3.6703187172005186`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "Gradient", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"GLk", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"GLobec", "/.", "\[Xi]kDos"}], "/.", "\[Delta]UPevnaDos"}], "/.",
      "omezUU"}]}], "\[IndentingNewLine]", 
   RowBox[{"%", "//", "Length"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TableForm", "[", 
     RowBox[{"%%", ",", 
      RowBox[{"TableHeadings", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{"ii", ",", 
           RowBox[{"{", 
            RowBox[{"ii", ",", "1", ",", 
             RowBox[{"Length", "@", "\[Xi]"}]}], "}"}]}], "]"}], ",", 
         "None"}], "}"}]}]}], "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.670318627635744*^9, 3.6703186307889495`*^9}, {
  3.6703241844855475`*^9, 3.6703241851407485`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Ovrouben\[YAcute]", " ", "Hessi\[AAcute]n"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Wk", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"Wobec", "/.", "\[Xi]kDos"}], "/.", "\[Delta]UPevnaDos"}], "/.",
       "omezUU"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IWk", "=", 
     RowBox[{"%", "//", "Inverse"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"TableForm", "[", 
     RowBox[{"%", ",", 
      RowBox[{"TableHeadings", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{"ii", ",", 
           RowBox[{"{", 
            RowBox[{"ii", ",", "1", ",", "59"}], "}"}]}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{"ii", ",", 
           RowBox[{"{", 
            RowBox[{"ii", ",", "1", ",", "59"}], "}"}]}], "]"}]}], "}"}]}]}], 
     "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.670318662555606*^9, 3.670318674600827*^9}, 
   3.670318728403339*^9, {3.6703241733783283`*^9, 3.670324174173929*^9}}],

Cell[BoxData[
 RowBox[{"\[CapitalDelta]\[Xi]k", "=", 
  RowBox[{"-", 
   RowBox[{
    RowBox[{"Inverse", "[", "Wk", "]"}], ".", "GLk"}]}]}]], "Input",
 CellChangeTimes->{{3.6703187505685806`*^9, 3.670318758977996*^9}}],

Cell[BoxData[
 RowBox[{"\[Xi]kDos", "=", 
  RowBox[{"dos", "[", 
   RowBox[{"\[Xi]", ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Xi]", "/.", "\[Xi]kDos"}], ")"}], "+", 
     "\[CapitalDelta]\[Xi]k"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6703188142899*^9, 3.6703188170355043`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"newton", "[", 
   RowBox[{"{", 
    RowBox[{"k_", ",", "odhad_", ",", "defekt_"}], "}"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "omezUU", ",", "GLk", ",", "Wk", ",", "\[CapitalDelta]\[Xi]k", ",", 
      RowBox[{"\[Xi]kDos", "=", "odhad"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"omezUU", "=", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               SubscriptBox["U", "ii"], "\[GreaterEqual]", "0.95"}], ",", 
              RowBox[{
               SubscriptBox["lD", "ii"], "\[Rule]", "0"}], ",", 
              RowBox[{
               SubscriptBox["lD", "ii"], "\[Rule]", "1"}]}], "]"}], "/.", 
            "\[Xi]kDos"}], ",", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               SubscriptBox["U", "ii"], "\[LessEqual]", "1.05"}], ",", 
              RowBox[{
               SubscriptBox["lH", "ii"], "\[Rule]", "0"}], ",", 
              RowBox[{
               SubscriptBox["lH", "ii"], "\[Rule]", "1"}]}], "]"}], "/.", 
            "\[Xi]kDos"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"ii", ",", "1", ",", 
           RowBox[{"Length", "@", "Uzad"}]}], "}"}]}], "]"}], "//", 
       "Flatten"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"GLk", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"GLobec", "/.", "\[Xi]kDos"}], "/.", "\[Delta]UPevnaDos"}], "/.",
        "omezUU"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Wk", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Wobec", "/.", "\[Xi]kDos"}], "/.", "\[Delta]UPevnaDos"}], "/.",
        "omezUU"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"\[CapitalDelta]\[Xi]k", "=", 
      RowBox[{"(*", 
       RowBox[{"ConstantArray", "[", 
        RowBox[{"0", ",", 
         RowBox[{"Length", "@", "\[Xi]"}]}], "]"}], "*)"}], 
      RowBox[{"-", 
       RowBox[{
        RowBox[{"Inverse", "[", "Wk", "]"}], ".", "GLk"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"\[Xi]kDos", "=", 
      RowBox[{"dos", "[", 
       RowBox[{"\[Xi]", ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"\[Xi]", "/.", "\[Xi]kDos"}], ")"}], "+", 
         "\[CapitalDelta]\[Xi]k"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "+", "1"}], ",", "\[Xi]kDos", ",", 
       RowBox[{"Max", "[", "GLk", "]"}]}], "}"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.670306840424371*^9, 3.6703068623590097`*^9}, {
   3.670306963412814*^9, 3.670306986928056*^9}, {3.670307018060111*^9, 
   3.6703070321665363`*^9}, {3.6703102002702246`*^9, 
   3.6703102179052563`*^9}, {3.6703102491445117`*^9, 
   3.6703102931409903`*^9}, {3.670310543900861*^9, 3.670310546381265*^9}, {
   3.670310614753586*^9, 3.670310616594389*^9}, {3.67031070119001*^9, 
   3.67031081525782*^9}, {3.6703108805941353`*^9, 3.6703109186928034`*^9}, {
   3.6703110004135494`*^9, 3.6703110080595627`*^9}, {3.670312325800105*^9, 
   3.670312329548112*^9}, {3.6703155071654377`*^9, 3.6703155111638465`*^9}, {
   3.6703155863946495`*^9, 3.670315599374872*^9}, {3.6703156871810293`*^9, 
   3.6703157194322863`*^9}, {3.6703159242942643`*^9, 3.67031593905389*^9}, {
   3.670318043458515*^9, 3.670318057171939*^9}, 3.670324623250148*^9, {
   3.670342732388702*^9, 3.6703427329035025`*^9}, {3.6703427911072054`*^9, 
   3.6703428270076675`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NestWhileList", "[", 
   RowBox[{"newton", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "\[Xi]0Dos", ",", "1000"}], "}"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"Max", "[", 
       RowBox[{"#", "[", 
        RowBox[{"[", "3", "]"}], "]"}], "]"}], ">", 
      SuperscriptBox["10", 
       RowBox[{"-", "8"}]]}], "&"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MatrixForm", "[", 
  RowBox[{"%", ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"None", ",", 
      RowBox[{"{", 
       RowBox[{
       "\"\<k\>\"", ",", "\"\<\[Xi]kDos\>\"", ",", "\"\<Max[GLk]\>\""}], 
       "}"}]}], "}"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vysDos", "=", 
   RowBox[{"%%", "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"Length", "@", "%%"}], ",", "2"}], "]"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.6703108505444827`*^9, 3.670310867783513*^9}, {
   3.670310937715237*^9, 3.670310952160863*^9}, 3.670311027288198*^9, 
   3.6703114659635515`*^9, 3.6703159937101927`*^9, {3.6703160815761504`*^9, 
   3.6703160821845517`*^9}, {3.670316698354168*^9, 3.6703167170720024`*^9}, {
   3.670317035838037*^9, 3.6703170504728627`*^9}, {3.6703238977102437`*^9, 
   3.670323925961893*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "ztr\[AAcute]ty", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{"...", "\[IndentingNewLine]", "..."}], "\[IndentingNewLine]", 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.6702298196897707`*^9, 3.670229830406989*^9}, {
  3.6703161133448067`*^9, 3.670316114686409*^9}, {3.670423591558792*^9, 
  3.6704235995772057`*^9}}]
}, Open  ]]
},
WindowSize->{1920, 1038},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
Magnification:>1.5 Inherited,
Background->GrayLevel[0.85],
FrontEndVersion->"10.2 for Microsoft Windows (64-bit) (July 29, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 398, 8, 75, "Input"],
Cell[959, 30, 144, 2, 45, "Input"],
Cell[CellGroupData[{
Cell[1128, 36, 600, 10, 96, "Subsection"],
Cell[1731, 48, 4068, 108, 3685, "Input"],
Cell[5802, 158, 475, 14, 235, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[6314, 177, 627, 10, 82, "Subsection"],
Cell[6944, 189, 275, 6, 45, "Input"],
Cell[7222, 197, 128, 2, 45, "Input"],
Cell[7353, 201, 2198, 57, 249, "Input"],
Cell[9554, 260, 608, 17, 187, "Input"],
Cell[10165, 279, 1012, 26, 133, "Input"],
Cell[11180, 307, 3308, 84, 291, "Input"],
Cell[14491, 393, 1477, 34, 133, "Input"],
Cell[15971, 429, 2692, 55, 278, "Input"],
Cell[18666, 486, 718, 16, 45, "Input"],
Cell[19387, 504, 2596, 61, 249, "Input"],
Cell[21986, 567, 1592, 41, 220, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23615, 613, 658, 11, 96, "Subsection"],
Cell[24276, 626, 307, 7, 75, "Input"],
Cell[24586, 635, 848, 24, 104, "Input"],
Cell[25437, 661, 1129, 23, 75, "Input"],
Cell[26569, 686, 2454, 60, 219, "Input"],
Cell[29026, 748, 501, 11, 220, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29564, 764, 748, 12, 96, "Subsection"],
Cell[30315, 778, 685, 13, 75, "Input"],
Cell[31003, 793, 1170, 29, 45, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32210, 827, 768, 12, 96, "Subsection"],
Cell[32981, 841, 1351, 33, 104, "Input"],
Cell[34335, 876, 1004, 26, 104, "Input"],
Cell[35342, 904, 1446, 40, 108, "Input"],
Cell[36791, 946, 1523, 38, 65, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38351, 989, 966, 15, 96, "Subsection"],
Cell[39320, 1006, 1245, 34, 45, "Input"],
Cell[40568, 1042, 1100, 21, 75, "Input"],
Cell[41671, 1065, 2012, 41, 162, "Input"],
Cell[43686, 1108, 1925, 47, 162, "Input"],
Cell[45614, 1157, 856, 16, 162, "Input"],
Cell[46473, 1175, 701, 12, 45, "Input"],
Cell[47177, 1189, 274, 6, 45, "Input"],
Cell[47454, 1197, 377, 9, 45, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47868, 1211, 1024, 15, 96, "Subsection"],
Cell[48895, 1228, 1298, 35, 45, "Input"],
Cell[50196, 1265, 855, 23, 133, "Input"],
Cell[51054, 1290, 1093, 31, 133, "Input"],
Cell[52150, 1323, 218, 5, 45, "Input"],
Cell[52371, 1330, 298, 8, 45, "Input"],
Cell[52672, 1340, 3601, 87, 249, "Input"],
Cell[56276, 1429, 1282, 34, 109, "Input"],
Cell[57561, 1465, 396, 8, 162, "Input"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
